<?php
   if (!empty($_POST)) {
      //add our key
      $plugin = $_GET["plugin"];
      $page_name = $_POST["page_name"];
      $page_name_slug = $plugin . "_" . slugify($page_name);
      $menu = $_GET["menu"];
      $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
      $onWord_dir = ABSPATH . "wp-content/plugins/onWord";

      //load the function skeleton
      $function_skeleton = file_get_contents("$onWord_dir/skeleton/admin_page_function.php");
      $function_skeleton = str_replace("[page_slug]", $page_name_slug, $function_skeleton);
      file_put_contents("$plugin_dir/menus.php", "\n$function_skeleton", FILE_APPEND);
      make_stub("$plugin_dir/admin_pages/$page_name_slug.php");

      //load the page skeleton
      $page_skeleton = file_get_contents("$onWord_dir/skeleton/admin_page.php");
      $page_skeleton = str_replace("[menu_slug]", $menu, $page_skeleton);
      $page_skeleton = str_replace("[page_name]", $page_name, $page_skeleton);
      $page_skeleton = str_replace("[page_slug]", $page_name_slug, $page_skeleton);

      //find where it needs to be inserted
      $contents = file_get_contents("$plugin_dir/menus.php");
      $index = strpos($contents, "function $menu");
      $index = strpos($contents, "}", $index);
      $pre = substr($contents, 0, $index);
      $post = substr($contents, $index + 1);
      $contents = $pre . "$page_skeleton\n\t}" . $post;

      file_put_contents("$plugin_dir/menus.php", $contents);

      echo "<p><strong>Admin page $page_name_slug created in $plugin_dir/menus.php</strong></p>";

      //Return Navigation
      $url = get_site_url();
      echo "<p><h2>Back</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=admin_menu&plugin=$plugin&menu=$menu'>Menu: $menu</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin&plugin=$plugin'>Plugin: $plugin</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu'>Plugins</a></li>";
      echo "</ul>";
      echo"</p>";
      exit();
   }

   else {
      //show the key creation screen
      echo "<h1>Create New Admin Page</h1>";
      echo "<form method='POST' action='#'>";
      echo "<table>";
      echo "<tr>";
      echo "<td><strong>Admin Page Name</strong></td>";
      echo "<td><input type='text' name='page_name' /></td>";
      echo "</tr>";
      echo "</table>";
      echo "<input type='submit' name='generate' value='Create' />";
      echo "</form>";
   }
?>