//This function makes an AJAX call with the JSON encoded arguments stored in args
//the responder will load the object of the given class with the given id, then call the function named by method
//if 0 is given for the id, then a new object will be created and the given method called
//if -1 is given for the id, then the static function named by method will be called
//finally, the JSON decoded return value will be passed to the function specified by func
function onWord_ajax(class_name, id, method, args, func) {
	var xmlhttp = new XMLHttpRequest();
	var post = "class="+class_name+"&id="+id+"&method="+method+"&api_key=[api_key]&args=";
   post += encodeURIComponent(JSON.stringify(args));
	xmlhttp.onreadystatechange = function() {
  		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			func(JSON.parse(xmlhttp.responseText));
  		}
	};
	xmlhttp.open("POST", ajax_listener, true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send(post);
}