<?php
	function [plugin]_install() {
		//figure out where we are
		$helper = new onWord_helper("[plugin]");
		$site_dir = $helper->site_dir();
		global $wpdb;
		$prefix = $wpdb->prefix;

		//get a list of classes
		$classes = array();
		$contents = scandir("$site_dir/wp-content/plugins/[plugin]/classes");
		foreach ($contents as $dir) {
			if ($dir != "." && $dir != ".." && is_dir("$site_dir/wp-content/plugins/[plugin]/classes/$dir")) {
				$classes[] = $dir;
			}
		}

		//run each class's installer
		foreach ($classes as $class) {
			if (is_callable("$class::install")) {
				$class::install();
			}
		}

		//load the page_listing
		include("$site_dir/wp-content/plugins/[plugin]/pages.php");
		foreach($pages as $trigger=>$route) {
			//figure out if we already have a route
			$pieces = explode(":", $trigger);
			$class = $pieces[0];
			$action = $pieces[1];
			if ($helper->route($class, $action) == "") {
				//determine the parent
				if (!empty($route["parent"])) {
					$query = "SELECT ID from " . $prefix . "posts WHERE post_name = '" . $route["parent"] . "'";
					if (!$result = mysql_query($query)) {die("<p>Parent page query failed.</p>" . mysql_error());}
					$parent_id = ($row = mysql_fetch_assoc($result))
						? $row["ID"]
						: 0;
				}
				else {
					$parent_id = 0;
				}

				//create one if necessary
				$post = array(
				'post_author' => 1,
				'post_content' => $route["shortcode"],
				'post_name' => $route["slug"],
				'post_status' => "publish",
				'post_title' => ucwords(str_replace("_", " ", $route["slug"])),
				'post_type' => "page",
				'post_parent' => $parent_id
				);
				$post_id = wp_insert_post($post);
				//tag it with the right metadata
				update_post_meta($post_id, "onWord_route", $trigger);
			}
		}
	}
