<?php
	/*
	Plugin Name: onWord Application Factory
	Plugin URI: http://www.educyber.com/onWord/
	Description: Build web applications quickly and easily, right on your favorite CMS!
	Version: 1.0.9
	Author: Kenneth Baird
	Author URI: http://www.educyber.com
	License: See license.txt
	*/

   include("functions.php");

   //register the menu
   add_action('admin_menu', 'onWord_plugin_top_menu');
   function onWord_plugin_top_menu() {
      add_menu_page( "onWord", "onWord", "manage_options", "onWord_top_level_menu", "onWord_top_level_menu_page");
   }

   //include the appropriate page based on the context
   function onWord_top_level_menu_page() {
      if (!empty($_GET["onWord_page"])) {
         $page = $_GET["onWord_page"];
         include("pages/$page.php");
      }
      else {
         $url = get_site_url();
         echo "<h1>onWord Application Factory</h1>";
         echo "<ul>";
         echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin'>Create Plugin</a></li>";
         $contents = scandir(ABSPATH . "wp-content/plugins/");
         foreach ($contents as $dir) {
            if ($dir != "." && $dir != ".." && is_dir(ABSPATH . "wp-content/plugins/$dir")) {
               echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin&plugin=$dir'>$dir</a></li>";
            }
         }
         echo "</ul>";
      }
   }
?>