<?php
   if (!empty($_POST)) {
      //generate our menu
      $plugin = $_GET["plugin"];
      $menu_name = $_POST["menu"];
      $menu_slug = $plugin . "_" . slugify($menu_name);
      $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
      $onWord_dir = ABSPATH . "wp-content/plugins/onWord";

      //create the file
      make_stub("$plugin_dir/admin_pages/$menu_slug.php");

      //load the menu skeleton
      $skeleton = file_get_contents("$onWord_dir/skeleton/admin_menu.php");
      $skeleton = str_replace("[menu_slug]", $menu_slug, $skeleton);
      $skeleton = str_replace("[menu_name]", $menu_name, $skeleton);
      file_put_contents("$plugin_dir/menus.php", "\n$skeleton", FILE_APPEND);

      echo "<p><strong>Admin menu $menu_slug created in $plugin_dir/menus.php</strong></p>";
   }

   if (!empty($_GET["menu"]) || !empty($_POST)) {
      //if we're loading this page fresh, we need to create some basic variables
      if (!empty($_GET["menu"])) {
         $plugin = $_GET["plugin"];
         $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
         $menu_slug = $_GET["menu"];
      }
      $url = get_site_url();
      //show the navigation for the menu component generators
      echo "<h1>$menu_slug</h1>";

      //admin pages
      echo "<p><h2>Admin Pages</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=admin_page&plugin=$plugin&menu=$menu_slug'>Create Admin Page</a></li>";
      $lines = file("$plugin_dir/menus.php");
      foreach ($lines as $index=>$line) {
         //we found the function containing our menu
         if (strpos($line, "function $menu_slug") !== false) {
            //search for the page function
            $index++;
            $line = $lines[$index];
            while (strpos($line, "}") === false) {
               $offset = strpos($line, "(") + 1;
               $length = strrpos($line, ")") - $offset;
               eval('$signature = array(' . substr($line, $offset, $length) . ');');
               echo "<li>" . $signature[1] . "</li>";
               $index++;
               $line = $lines[$index];
            }
            break;
         }
      }
      echo "</ul>";
      echo"</p>";

      //Return Navigation
      echo "<p><h2>Back</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin&plugin=$plugin'>Plugin: $plugin</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu'>Plugins</a></li>";
      echo "</ul>";
      echo"</p>";
   }


   else {
      //show the class creation screen
      echo "<h1>Create New Admin Menu</h1>";
      echo "<form method='POST' action='#'>";
      echo "<table>";
      echo "<tr>";
      echo "<td><strong>Menu Name</strong></td>";
      echo "<td><input type='text' name='menu' /></td>";
      echo "</tr>";
      echo "</table>";
      echo "<input type='submit' name='generate' value='Create' />";
      echo "</form>";
   }
?>