<?php
   if (!empty($_POST)) {
      //generate our class
      $plugin = $_GET["plugin"];
      $class = $plugin . "_" . slugify($_POST["class"]);
      $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
      $onWord_dir = ABSPATH . "wp-content/plugins/onWord";


      //create the directory structure
      mkdir("$plugin_dir/classes/$class");
      mkdir("$plugin_dir/classes/$class/scripts");
      mkdir("$plugin_dir/classes/$class/styles");
      mkdir("$plugin_dir/classes/$class/views");

      //load the class skeleton
      $skeleton = file_get_contents("$onWord_dir/skeleton/class.php");
      $skeleton = str_replace("[class]", $class, $skeleton);
      file_put_contents("$plugin_dir/classes/$class/$class.php", $skeleton);

      echo "<p><strong>Class $class created in $plugin_dir/classes/$class/$class.php</strong></p>";
   }

   if (!empty($_GET["class"]) || !empty($_POST)) {
      //if we're loading this page fresh, we need to create some basic variables
      if (!empty($_GET["class"])) {
         $plugin = $_GET["plugin"];
         $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
         $class = $_GET["class"];
         $class_dir = "$plugin_dir/classes/$class";
      }
      $url = get_site_url();
      //show the navigation for the class component generators
      echo "<h1>$class</h1>";

      //keys
      echo "<p><h2>Keys</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=key&plugin=$plugin&class=$class'>Create Key</a></li>";
      $lines = file("$class_dir/$class.php");
      foreach ($lines as $line) {
         if (strpos($line, 'public static $keys =') !== false) {
            $offset = strpos($line, "(") + 1;
            $length = strrpos($line, ");") - $offset;
            $keys = trim(substr($line, $offset, $length));
            eval('$keys = array(' . $keys . ');');
         }
      }
      foreach ($keys as $key=>$type) {
         echo "<li>$key: $type</li>";
      }
      echo "</ul>";
      echo "</p>";

      //methods
      echo "<p><h2>Methods</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=method&plugin=$plugin&class=$class'>Create Method</a></li>";
      foreach ($lines as $line) {
         if (strpos($line, "function") !== false) {
            $offset = strpos($line, "n ") + 2;
            $length = strrpos($line, "(") - $offset;
            $method = trim(substr($line, $offset, $length));
            echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=method&plugin=$plugin&class=$class&method=$method'>$method</a></li>";
         }
      }
      echo "</ul>";
      echo "</p>";

      //content types
      echo "<p><h2>Content Types</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=content_type&plugin=$plugin&class=$class'>Create Content Type</a></li>";
      $lines = file("$plugin_dir/content_types.php");
      foreach ($lines as $line) {
         if (strpos($line, "register_post_type") !== false) {
            $offset = strpos($line, "'") + 1;
            $length = strrpos($line, "'") - $offset;
            echo "<li>" . substr($line, $offset, $length) . "</li>";
         }
      }
      echo "</ul>";
      echo"</p>";

      //Return Navigation
      echo "<p><h2>Back</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin&plugin=$plugin'>Plugin: $plugin</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu'>Plugins</a></li>";
      echo "</ul>";
      echo"</p>";
   }


   else {
      //show the class creation screen
      echo "<h1>Create New Class</h1>";
      echo "<form method='POST' action='#'>";
      echo "<table>";
      echo "<tr>";
      echo "<td><strong>Class Name</strong></td>";
      echo "<td><input type='text' name='class' /></td>";
      echo "</tr>";
      echo "</table>";
      echo "<input type='submit' name='generate' value='Create' />";
      echo "</form>";
   }
?>