<?php
   if (!empty($_POST)) {
      //add our content type
      $plugin = $_GET["plugin"];
      $class = $_GET["class"];
      $singular = $_POST["singular"];
      $singular_slug = slugify($singular);
      $plural= $_POST["plural"];
      $plural_slug = slugify($plural);
      $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
      $onWord_dir = ABSPATH . "wp-content/plugins/onWord";

      //load the content type skeleton
      $skeleton = file_get_contents("$onWord_dir/skeleton/content_type.php");
      $skeleton = str_replace("[plugin]", $plugin, $skeleton);
      $skeleton = str_replace("[singular_name]", $singular, $skeleton);
      $skeleton = str_replace("[singular_name_slug]", $singular_slug, $skeleton);
      $skeleton = str_replace("[plural_name]", $plural, $skeleton);
      $skeleton = str_replace("[plural_name_slug]", $plural_slug, $skeleton);
      $skeleton = str_replace("[class]", $class, $skeleton);
      file_put_contents("$plugin_dir/content_types.php", "\n$skeleton", FILE_APPEND);
      echo "<p><strong>$singular_slug created in $plugin_dir/content_types.php</strong></p>";

      //Return Navigation
      $url = get_site_url();
      echo "<p><h2>Back</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=class&plugin=$plugin&class=$class'>Class: $class</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin&plugin=$plugin'>Plugin: $plugin</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu'>Plugins</a></li>";
      echo "</ul>";
      echo"</p>";
      exit();
   }

   else {
      //show the content type creation screen
      echo "<h1>Create New Content type</h1>";
      echo "<form method='POST' action='#'>";
      echo "<table>";
      echo "<tr>";
      echo "<td><strong>Content Type Singular Name</strong></td>";
      echo "<td><input type='text' name='singular' /></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td><strong>Plural Name</strong></td>";
      echo "<td><input type='text' name='plural' /></td>";
      echo "</tr>";
      echo "</table>";
      echo "<input type='submit' name='generate' value='Create' />";
      echo "</form>";
   }
?>