<?php
   if (!empty($_POST)) {
      //generate our scheduled event stub
      $plugin = $_GET["plugin"];
      $task = slugify($_POST["task"]);
      $interval = $_POST["interval"];
      $plugin_dir = ABSPATH . "wp-content/plugins/$plugin";
      $onWord_dir = ABSPATH . "wp-content/plugins/onWord";

      //load the schedule skeleton
      $skeleton = file_get_contents("$onWord_dir/skeleton/schedule.php");
      $skeleton = str_replace("[plugin]", $plugin, $skeleton);
      $skeleton = str_replace("[task]", $task, $skeleton);
      $skeleton = str_replace("[interval]", $interval, $skeleton);
      file_put_contents("$plugin_dir/schedules.php", "\n$skeleton", FILE_APPEND);
      echo "<p><strong>function " . $plugin . "_$task scheduled at interval $interval in file $plugin_dir/schedules.php</strong></p>";

      //Return Navigation
      $url = get_site_url();
      echo "<p><h2>Back</h2>";
      echo "<ul>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu&onWord_page=plugin&plugin=$plugin'>Plugin: $plugin</a></li>";
      echo "<li><a href='$url/wp-admin/admin.php?page=onWord_top_level_menu'>Plugins</a></li>";
      echo "</ul>";
      echo"</p>";
      exit();
   }

   //show the schedule creation screen
   echo "<h1>Create New Scheduled Item</h1>";
   echo "<form method='POST' action='#'>";
   echo "<table>";
   echo "<tr>";
   echo "<td><strong>Task Name</strong></td>";
   echo "<td><input type='text' name='task' /></td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td><strong>Interval</strong></td>";
   echo "<td>";
   echo "<select name='interval'>";
   echo "<option value='hourly'>Hourly</option>";
   echo "<option value='twicedaily'>Twice Daily</option>";
   echo "<option value='daily'>Daily</option>";
   echo "</select>";
   echo "</td>";
   echo "</tr>";
   echo "</table>";
   echo "<input type='submit' name='generate' value='Create' />";
   echo "</form>";
?>